<?php

namespace App\Modules\Provider\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface ProviderRepository
{
    public function index(IdProvider $id);

    public function search(StorageCriteria $criteria);

}
